form_page(3X)

NAME
form_page - set and get form page number

SYNOPSIS
#include <form.h>
int set_current_field(FORM *form, int page);
FIELD *current_field(FORM *);
int set_form_page(FORM *form, int n);
int form_page(FORM *form);

DESCRIPTION
The function set_current field sets the current field of the given form; current_field returns the current field of the given form.

The function set_form_page sets the form's page number (goes to page n of the form).

The function form_page returns the form's current page number.

RETURN VALUE
Except for form_page, each routine returns one of the following:

E_OK
    The routine succeeded.

E_SYSTEM_ERROR
    System error occurred (see errno).

E_BAD_ARGUMENT
    Routine detected an incorrect or out-of-range argument.

E_BAD_STATE
    Routine was called from an initialization or termination function.

E_INVALID_FIELD
    Contents of a field are not valid.

E_REQUEST_DENIED
    The form driver could not process the request.

SEE ALSO
curses(3X), form(3X).

NOTES
The header file <form.h> automatically includes the header file <curses.h>.

PORTABILITY
These routines emulate the System V forms library. They were not supported on Version 7 or BSD versions.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.